[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLType' (#lcl)

# CS_To_String

Converts a component style identifier to a component style name.

## Declaration

Source position: lcltype.pp line 3001

`function CS_To_String(`
`CompStyle: Integer`
`):string;`

## Arguments

`CompStyle` |  | Integer component style identifier converted to its representation as a String.

## Function result

String representing the component style, or 'Unknown component style' for unsupported values.

## Description

The following values are not supported in the CompStyle argument, and cause 'Unknown component style' to be returned from the routine:

- csAlignment
- csBox
- csGTKTable
- csMainForm
- csTable
- csVScrollBar
- csFrame
- csButtonBox
- csCanvas
- csFont
- csPen
- csBrush
- csTimer
- csImage
- csToolbar
- csToolButton
- csSpeedButton

Not used in the current LCL implementation.